Skip to main content
GET
/
projects
/
{project_id}
/
trigger-subscriptions
List Subscribed Triggers
curl --request GET \
  --url https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "triggers": {
    "salesforce": [
      {
        "id": "<uuid>",
        "type": "SALESFORCE_TRIGGER_RECORD_CREATED",
        "parameters": {
          "recordType": "Opportunity"
        },
        "status": "ACTIVE",
        "dateCreated": "2025-05-31T00:00:00Z",
        "dateLastReceivedEvent": "2025-05-31T00:00:00Z",
        "credentialId": "<uuid>",
        "webhookOverride": {
          "url": "https://override.com"
        }
      },
      {
        "id": "<uuid>",
        "type": "SALESFORCE_TRIGGER_RECORD_CREATED",
        "parameters": {
          "recordType": "Opportunity"
        },
        "status": "ERRORED",
        "error": "Failed to check for new records after repeated failures. Last error: Request failed with 500 { ... error info ... }",
        "dateCreated": "2025-05-31T00:00:00Z",
        "dateLastReceivedEvent": "2025-05-31T00:00:00Z",
        "credentialId": "<uuid>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Paragon User Token (JWT), which you can generate using your project's signing keys.

Headers

X-Paragon-Credential
string<uuid>

Specify a credential ID when multiple accounts are connected for the same integration

Path Parameters

project_id
string
required

Your Paragon Project ID

Query Parameters

integrations
string

Filter by specific integrations that the user has connected. Comma-separated list.

Example:

"salesforce,hubspot"

status
enum<string>

Filter subscriptions to only active or errored (default behavior is to include all)

Available options:
ACTIVE,
ERRORED
type
string

Filter subscriptions to a specific type of Trigger

Example:

"SALESFORCE_TRIGGER_RECORD_CREATED"

Response

Success

triggers
object

A map of integrations with their subscribed triggers